org.eclnt.jsfserver.elements.componentnodes

## Class ANIMATEDPANENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ANIMATEDPANENode

- All Implemented Interfaces:
    java.io.Serializable

      public class ANIMATEDPANENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANIMATEDPANENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ANIMATEDPANENode` | `bindActionListener(IActionListenerDelegation value)`
    `ANIMATEDPANENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindAnimateback(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindAnimatestepcount(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindBackground(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindBorder(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindColspan(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindComment(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindCurtain(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindCurtaincolor(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindCurtainflash(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindEnabled(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindHeight(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindPadding(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindRendered(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindRounding(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindShadow(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindWidth(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindX(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `bindY(IDynamicContentBindingObject value)`
    `ANIMATEDPANENode` | `setActionListener(java.lang.String value)`
    `ANIMATEDPANENode` | `setAdapterbinding(java.lang.String value)`
    `ANIMATEDPANENode` | `setAnimateback(boolean value)`
    `ANIMATEDPANENode` | `setAnimateback(java.lang.String value)`
    `ANIMATEDPANENode` | `setAnimatechangeofsize(boolean value)`
    `ANIMATEDPANENode` | `setAnimatechangeofsize(java.lang.String value)`
    `ANIMATEDPANENode` | `setAnimatestepcount(int value)`
    `ANIMATEDPANENode` | `setAnimatestepcount(java.lang.String value)`
    `ANIMATEDPANENode` | `setAttributemacro(java.lang.String value)`
    `ANIMATEDPANENode` | `setBackground(java.lang.String value)`
    `ANIMATEDPANENode` | `setBgpaint(java.lang.String value)`
    `ANIMATEDPANENode` | `setBorder(java.lang.String value)`
    `ANIMATEDPANENode` | `setColspan(int value)`
    `ANIMATEDPANENode` | `setColspan(java.lang.String value)`
    `ANIMATEDPANENode` | `setComment(java.lang.String value)`
    `ANIMATEDPANENode` | `setComponentbinding(java.lang.String value)`
    `ANIMATEDPANENode` | `setConfiginfo(java.lang.String value)`
    `ANIMATEDPANENode` | `setCurtain(java.lang.String value)`
    `ANIMATEDPANENode` | `setCurtaincolor(java.lang.String value)`
    `ANIMATEDPANENode` | `setCurtainflash(java.lang.String value)`
    `ANIMATEDPANENode` | `setDroprastertext(java.lang.String value)`
    `ANIMATEDPANENode` | `setDropreceive(java.lang.String value)`
    `ANIMATEDPANENode` | `setDropshape(java.lang.String value)`
    `ANIMATEDPANENode` | `setEnabled(boolean value)`
    `ANIMATEDPANENode` | `setEnabled(java.lang.String value)`
    `ANIMATEDPANENode` | `setFlusharea(boolean value)`
    `ANIMATEDPANENode` | `setFlusharea(java.lang.String value)`
    `ANIMATEDPANENode` | `setFxstyleseq(java.lang.String value)`
    `ANIMATEDPANENode` | `setHeight(int value)`
    `ANIMATEDPANENode` | `setHeight(java.lang.String value)`
    `ANIMATEDPANENode` | `setHelpid(java.lang.String value)`
    `ANIMATEDPANENode` | `setId(java.lang.String value)`
    `ANIMATEDPANENode` | `setPadding(java.lang.String value)`
    `ANIMATEDPANENode` | `setPopupmenu(java.lang.String value)`
    `ANIMATEDPANENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ANIMATEDPANENode` | `setReference(java.lang.String value)`
    `ANIMATEDPANENode` | `setRendered(boolean value)`
    `ANIMATEDPANENode` | `setRendered(java.lang.String value)`
    `ANIMATEDPANENode` | `setRounding(int value)`
    `ANIMATEDPANENode` | `setRounding(java.lang.String value)`
    `ANIMATEDPANENode` | `setRowalignmenty(java.lang.String value)`
    `ANIMATEDPANENode` | `setRowdistance(int value)`
    `ANIMATEDPANENode` | `setRowdistance(java.lang.String value)`
    `ANIMATEDPANENode` | `setShadow(java.lang.String value)`
    `ANIMATEDPANENode` | `setStyleseq(java.lang.String value)`
    `ANIMATEDPANENode` | `setStylevariant(java.lang.String value)`
    `ANIMATEDPANENode` | `setWidth(int value)`
    `ANIMATEDPANENode` | `setWidth(java.lang.String value)`
    `ANIMATEDPANENode` | `setX(int value)`
    `ANIMATEDPANENode` | `setX(java.lang.String value)`
    `ANIMATEDPANENode` | `setY(int value)`
    `ANIMATEDPANENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ANIMATEDPANENode

          public ANIMATEDPANENode()

  - ### Method Detail

    - #### setId

          public ANIMATEDPANENode setId(java.lang.String value)

    - #### setActionListener

          public ANIMATEDPANENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ANIMATEDPANENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ANIMATEDPANENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ANIMATEDPANENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimateback

          public ANIMATEDPANENode setAnimateback(java.lang.String value)

    - #### bindAnimateback

          public ANIMATEDPANENode bindAnimateback(IDynamicContentBindingObject value)

    - #### setAnimateback

          public ANIMATEDPANENode setAnimateback(boolean value)

    - #### setAnimatechangeofsize

          public ANIMATEDPANENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public ANIMATEDPANENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public ANIMATEDPANENode setAnimatechangeofsize(boolean value)

    - #### setAnimatestepcount

          public ANIMATEDPANENode setAnimatestepcount(java.lang.String value)

    - #### bindAnimatestepcount

          public ANIMATEDPANENode bindAnimatestepcount(IDynamicContentBindingObject value)

    - #### setAnimatestepcount

          public ANIMATEDPANENode setAnimatestepcount(int value)

    - #### setAttributemacro

          public ANIMATEDPANENode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ANIMATEDPANENode setBackground(java.lang.String value)

    - #### bindBackground

          public ANIMATEDPANENode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ANIMATEDPANENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ANIMATEDPANENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ANIMATEDPANENode setBorder(java.lang.String value)

    - #### bindBorder

          public ANIMATEDPANENode bindBorder(IDynamicContentBindingObject value)

    - #### setColspan

          public ANIMATEDPANENode setColspan(java.lang.String value)

    - #### bindColspan

          public ANIMATEDPANENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public ANIMATEDPANENode setColspan(int value)

    - #### setComment

          public ANIMATEDPANENode setComment(java.lang.String value)

    - #### bindComment

          public ANIMATEDPANENode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public ANIMATEDPANENode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public ANIMATEDPANENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ANIMATEDPANENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCurtain

          public ANIMATEDPANENode setCurtain(java.lang.String value)

    - #### bindCurtain

          public ANIMATEDPANENode bindCurtain(IDynamicContentBindingObject value)

    - #### setCurtaincolor

          public ANIMATEDPANENode setCurtaincolor(java.lang.String value)

    - #### bindCurtaincolor

          public ANIMATEDPANENode bindCurtaincolor(IDynamicContentBindingObject value)

    - #### setCurtainflash

          public ANIMATEDPANENode setCurtainflash(java.lang.String value)

    - #### bindCurtainflash

          public ANIMATEDPANENode bindCurtainflash(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public ANIMATEDPANENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public ANIMATEDPANENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public ANIMATEDPANENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public ANIMATEDPANENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public ANIMATEDPANENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public ANIMATEDPANENode bindDropshape(IDynamicContentBindingObject value)

    - #### setEnabled

          public ANIMATEDPANENode setEnabled(java.lang.String value)

    - #### bindEnabled

          public ANIMATEDPANENode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public ANIMATEDPANENode setEnabled(boolean value)

    - #### setFlusharea

          public ANIMATEDPANENode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ANIMATEDPANENode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ANIMATEDPANENode setFlusharea(boolean value)

    - #### setFxstyleseq

          public ANIMATEDPANENode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ANIMATEDPANENode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public ANIMATEDPANENode setHeight(java.lang.String value)

    - #### bindHeight

          public ANIMATEDPANENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ANIMATEDPANENode setHeight(int value)

    - #### setHelpid

          public ANIMATEDPANENode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ANIMATEDPANENode bindHelpid(IDynamicContentBindingObject value)

    - #### setPadding

          public ANIMATEDPANENode setPadding(java.lang.String value)

    - #### bindPadding

          public ANIMATEDPANENode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ANIMATEDPANENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ANIMATEDPANENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ANIMATEDPANENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ANIMATEDPANENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ANIMATEDPANENode setReference(java.lang.String value)

    - #### setRendered

          public ANIMATEDPANENode setRendered(java.lang.String value)

    - #### bindRendered

          public ANIMATEDPANENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ANIMATEDPANENode setRendered(boolean value)

    - #### setRounding

          public ANIMATEDPANENode setRounding(java.lang.String value)

    - #### bindRounding

          public ANIMATEDPANENode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ANIMATEDPANENode setRounding(int value)

    - #### setRowalignmenty

          public ANIMATEDPANENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public ANIMATEDPANENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ANIMATEDPANENode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public ANIMATEDPANENode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ANIMATEDPANENode setRowdistance(int value)

    - #### setShadow

          public ANIMATEDPANENode setShadow(java.lang.String value)

    - #### bindShadow

          public ANIMATEDPANENode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public ANIMATEDPANENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ANIMATEDPANENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ANIMATEDPANENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ANIMATEDPANENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public ANIMATEDPANENode setWidth(java.lang.String value)

    - #### bindWidth

          public ANIMATEDPANENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public ANIMATEDPANENode setWidth(int value)

    - #### setX

          public ANIMATEDPANENode setX(java.lang.String value)

    - #### bindX

          public ANIMATEDPANENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public ANIMATEDPANENode setX(int value)

    - #### setY

          public ANIMATEDPANENode setY(java.lang.String value)

    - #### bindY

          public ANIMATEDPANENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public ANIMATEDPANENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.